:: Set environment variables for I-X Process Panel Communications Strategy
:: Austin Tate, Stephen Potter, AIAI, University of Edinburgh 19-Jul-2002
:: Parameter 1 is ix_base

set jabber_base=%ix_base%\comms\jabber\imports

if "%1"=="" goto NO_PARAM

set comms_path=%1\comms\jabber\java
set comms_path=%comms_path%;%jabber_base%\jabberbeans.jar;%jabber_base%\jabbericons.jar

:: can add to java_params if required (note must add on start) with
:: set java_params=extras %java_params%

goto END

:NO_PARAM
echo ix_base parameter required for comms-setvars.bat

:END

